# Generated from slickdeals_cli-0.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name slickdeals_cli

Name: rubygem-%{gem_name}
Version: 0.1.3
Release: 1%{?dist}
Summary: Scrapes the Popular Deals page on Slickdeals and Deal of the Day on Woot.com
License: MIT
URL: https://rubygems.org/gems/slickdeals_cli
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(colorize) >= 0.7.7
# BuildRequires: rubygem(colorize) < 0.8
BuildArch: noarch

%description
Provides the url and price for Woot and Slickdeal Popular Deals.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/slickdeals_cli
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Wed Sep 15 2021 mockbuilder - 0.1.3-1
- Initial package
